<template>
    <div class="mb-3">
        <label v-if="text" :for="id" class="form-label fs-6 fw-bold">{{ text }}</label>
        <div class="input-group">
            <slot :error="errors" :id="id"></slot>
            <div v-for="(errorMsg, index) in errorsToArray(errors)" :key="index" class="invalid-feedback">{{ errorMsg }}</div>
        </div>
        <div v-if="description" class="form-text whitespace-pre">{{ description }}</div>
    </div>
</template>

<script>
    export default {
        inheritAttrs: false,
        
        props: ['text', 'id', 'description', 'errors'],
        
        methods: {
            errorsToArray(errors) {
                if (Array.isArray(errors)) {
                    return errors
                } else {
                    return [ errors ]
                }
            }
        }
    }
</script>